# RESERVATION_CREATED

A reservation was created on a customer's account. This webhook event is only for seizure-related reservations.

Endpoint: POST reservation_created
Version: 1.0

## Request fields (application/json):

  - `id` (string)
    ID of the reservation that was created.
    Example: "b814e2213c5c45149945ed53422db0c4cres"

  - `amount` (object)
    Amount of the reservation (in Euro cents).

  - `amount.value` (integer)
    Example: 800

  - `amount.unit` (string)
    Example: "cents"

  - `amount.currency` (string)
    Example: "EUR"

  - `reservation_type` (string)
    The type of reservation.
    Enum: "CARD_AUTHORIZATION", "CLEARING_TRANSACTION", "INTRA_CUSTOMER_TRANSFER", "SEIZURE", "SEPA_CREDIT_BATCH", "SEPA_CREDIT_TRANSFER", "ProtectedAccountSeizure", "SEPAInstantCreditTransfer"

  - `reference` (string)
    Reference number for the reservation.
    Example: "1234567example"

  - `status` (string)
    The current status of the reservation. Possible values are OPEN and RESOLVED.
    Enum: "OPEN", "RESOLVED"

  - `description` (string)
    Seizure-related reservation.

  - `iban` (string)
    IBAN of the account on which the reservation was created.
    Example: "DE87110101001000057123"

  - `account_id` (string)
    ID of the account on which the reservation was created.
    Example: "adc123a45d6d7cf8fbfeed537ba919d5cacc"

  - `created_at` (string)
    UTC timestamp from when the reservation was created on the account.
    Example: "2022-05-19T13:30:30Z"

  - `resolved_at` (string)
    UTC timestamp from when the reservation was resolved on the account.

  - `meta_info` (object)
    An object containing all meta information related to the reservation.

  - `meta_info.cards` (object)
    Object containing all metadata related to the card used to make the reservation.

  - `meta_info.cards.card_id` (string)
    Solaris ID of the card used to create the reservation.

  - `meta_info.cards.merchant` (object)
    Object containing all metadata related to the merchant with whom the transaction was conducted.

  - `meta_info.cards.merchant.id` (string)
    The ID that the merchant provided to their acquirer.

  - `meta_info.cards.merchant.country_code` (string)
    Two-letter code of the country where the merchant is based.
    Example: "DE"

  - `meta_info.cards.merchant.category_code` (string)
    The [Merchant Category Code (MCC)](https://www.citibank.com/tts/solutions/commercial-cards/assets/docs/govt/Merchant-Category-Codes.pdf) of the merchant.
    Example: "6011"

  - `meta_info.cards.merchant.post_code` (string)
    Postal code where the merchant is based.

  - `meta_info.cards.merchant.state` (string)
    State where the merchant is based.

  - `meta_info.cards.merchant.street_address` (string)
    Street address of the merchant.

  - `meta_info.cards.merchant.name` (string)
    The name of the merchant.
    Example: "BERLINER VOLKSBANK EG"

  - `meta_info.cards.merchant.town` (string)
    Town where the merchant is based.
    Example: "TXL ABFLUG"

  - `meta_info.cards.original_amount` (object)
    The amount of the reservation (in Euro cents) combined with the foreign exchange rate.

  - `meta_info.cards.original_amount.currency` (string)
    Example: "EUR"

  - `meta_info.cards.original_amount.value` (integer)
    Example: 10

  - `meta_info.cards.original_amount.fx_rate` (integer)
    Example: 1

  - `meta_info.cards.original_amount.fx_markup` (integer)
    Example: 7.3165

  - `meta_info.cards.original_amount.issuer_fee` (integer)

  - `meta_info.cards.pos_entry_mode` (string)
    The POS entry mode used for the reservation.
    Enum: "ECOMMERCE", "CREDENTIAL_ON_FILE", "MANUAL_PAN_ENTRY", "UNKNOWN", "CHIP", "CONTACTLESS", "MAG_STRIPE"

  - `meta_info.cards.trace_id` (string)
    ID used to link the authorization and the settlement. Note that Solaris cannot guarantee that this will always match.
    Example: "651afb5beea67124d57be6dee27a2c5b7a241e58"

  - `meta_info.cards.transaction_date` (string)
    Date when the transaction occurred.
    Example: "2021-10-11"

  - `meta_info.cards.transaction_time` (string)
    Date and time when the transaction occurred (UTC format).
    Example: "2021-10-11T22:33:26Z"

  - `meta_info.cards.transaction_type` (string)
    The type of the credit card transaction.
    Enum: "PURCHASE", "ATM_WITHDRAWAL"

  - `meta_info.cards.auth_code` (string)
    Code generated by Solaris to confirm the authorization of a settlement.

  - `meta_info.cards.terminal_id` (string)
    (Legacy) Merchant ID for the terminal used for payment.

  - `meta_info.cards.acquirer_id` (string)
    An identification code (up to 11 characters) of the acquiring institution.

  - `meta_info.cards.wallet_type` (string)
    Name of a digital wallet. UNKNOWN if the internal ID doesn't match known to Solaris. Empty string ("") if the transaction does not come from a wallet.
    Enum: "APPLE", "GOOGLE", "SAMSUNG"

  - `meta_info.cards.device_pan` (string)
    Reference to the device's token in that wallet
    Example: "4537920000006141"


## Response 200 fields
